For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList duet voices
      • POSTCreate custom duet voice
      • PUTUpdate duet voice
      • DELDelete duet voice
      • GETList duet voice pairs
      • POSTCreate duet voice pair
      • POSTGenerate duet
Status
LogoLogo
API ReferenceDuets

Generate duet

POST
https://app.resemble.ai/api/v2/duet
POST
/api/v2/duet
$curl -X POST https://app.resemble.ai/api/v2/duet \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "voice_pair_id": 1,
> "script": [
> {
> "speaker": 0,
> "text": "string"
> }
> ]
>}'
200Successful
1{
2 "success": true,
3 "item": {
4 "uuid": "string",
5 "status": "string"
6 }
7}
Generate conversational audio with two speakers
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects an object.
voice_pair_idintegerRequired
Voice pair ID to use
scriptlist of objectsRequired
titlestringOptional
Optional title for the duet
callback_uristringOptionalformat: "uri"
Webhook URL for completion notification

Response

Duet generation job created
successboolean
itemobject